JavaMap::FileAppender(3)

NAME
Log::Log4perl::JavaMap::FileAppender - wraps Log::Dispatch::File

SYNOPSIS

DESCRIPTION
Possible config properties for log4j ConsoleAppender are

    File
    Append      "true|false|1|0" default=true
    BufferedIO  "true|false|1|0" default=false (i.e. autoflush is on)

Possible config properties for Log::Dispatch::File are

    filename
    mode  "write|append"
    autoflush 0|1

SEE ALSO
http://jakarta.apache.org/log4j/docs/

Log::Log4perl::Javamap

Log::Dispatch::File

LICENSE
Copyright 2002-2026 by Mike Schilli <m@perlmeister.com> and Kevin Goess <cpan@goess.org>.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.